Jump to content
DShiller

Maj vers 1.7.6.3, impossible d'upgrader la base de données (erreur 43)

Recommended Posts

Bonjour à tous,

J'ai effectué une mise à jour manuelle pour un client de la 1.7.3 à 1.7.6.3. Cependant, il m'est impossible de mettre à jour la base de données et cela crée des erreurs dans la partie administration.

Lorsque je lance /install/upgrade/upgrade.php, je reçois l'erreur 43, soit "Error while upgrading database schema using doctrine."

Il manque alors des tables et colonnes nécessaires à cette maj pour bien fonctionner, ce qui crée des erreurs telles que, entre autres, celle-ci : https://github.com/PrestaShop/PrestaShop/issues/14617 (et du coup c'est en lisant ce ticket que j'en suis venu à cette conclusion).

Ma question : comment je corrige cette erreur 43 pour que upgrade.php fonctionne? Le cas échéant, comment je peux mettre à jour ma bdd manuellement? C'est un serveur mysql sur phpnet, donc possible pour moi de lancer du code.

Merci !

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More